From: Jonatan Schlag <jonatan.schlag@ipfire.org>
To: development@lists.ipfire.org
Subject: [PATCH 14/21] test: Add functions test_that_array_is_defined
Date: Mon, 20 May 2024 11:06:04 +0200 [thread overview]
Message-ID: <20240520090611.10406-15-jonatan.schlag@ipfire.org> (raw)
In-Reply-To: <20240520090611.10406-1-jonatan.schlag@ipfire.org>
[-- Attachment #1: Type: text/plain, Size: 1266 bytes --]
we need this check in multiple places so it makes sense to move this to
a separate function.
Signed-off-by: Jonatan Schlag <jonatan.schlag(a)ipfire.org>
---
tests/lib.sh | 16 ++++++++++++----
1 file changed, 12 insertions(+), 4 deletions(-)
diff --git a/tests/lib.sh b/tests/lib.sh
index 9ce0201b1..29f4e3b71 100644
--- a/tests/lib.sh
+++ b/tests/lib.sh
@@ -27,17 +27,25 @@ var_has_value() {
[[ "${!1}" == "${2}" ]]
}
-test_that_key_in_arry_has_value() {
- local -n array="${1}"
+test_that_array_is_defined() {
local arrayname="${1}"
- local key="${2}"
- local value="${3}"
if [[ ! "$(declare -p "${arrayname}")" =~ "declare -a" && ! "$(declare -p "${arrayname}")" =~ "declare -A" ]]; then
log_test_failed "The array '${1}' does not exists. The variable is not set."
return 1
+ else
+ log_test_succeded "The array '${1}' is defined."
+ return 0
fi
+}
+
+test_that_key_in_arry_has_value() {
+ local -n array="${1}"
+ local arrayname="${1}"
+ local key="${2}"
+ local value="${3}"
+ test_that_array_is_defined "${arrayname}" || return 1
if [[ "${array["${key}"]+_}" == "" ]]; then
log_test_failed "The array does not contain the key '${key}', valid keys are: ${!array[*]}"
--
2.39.2
next prev parent reply other threads:[~2024-05-20 9:06 UTC|newest]
Thread overview: 22+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-05-20 9:05 First patch series for the roadmap item "Get rid of CONFIG_TYPE in the network config" Jonatan Schlag
2024-05-20 9:05 ` [PATCH 01/21] test: Add bash lib for colors Jonatan Schlag
2024-05-20 9:05 ` [PATCH 02/21] tests: Add bash lib Jonatan Schlag
2024-05-20 9:05 ` [PATCH 03/21] tests/lib.sh: Add function test_that_key_in_arry_has_value Jonatan Schlag
2024-05-20 9:05 ` [PATCH 04/21] tests/lib.sh: Add check if variable exists to test_that_key_in_arry_has_value Jonatan Schlag
2024-05-20 9:05 ` [PATCH 05/21] tests/lib.sh: Add logging functions Jonatan Schlag
2024-05-20 9:05 ` [PATCH 06/21] tests/lib.sh: adjust to pytest logging style Jonatan Schlag
2024-05-20 9:05 ` [PATCH 07/21] tests/lib.sh: Fix check if array is defined Jonatan Schlag
2024-05-20 9:05 ` [PATCH 08/21] test_that_key_in_arry_has_value: Check if the key " Jonatan Schlag
2024-05-20 9:05 ` [PATCH 09/21] tests/lib.sh: Use namref to access an array Jonatan Schlag
2024-05-20 9:06 ` [PATCH 10/21] test_that_key_in_arry_has_value: Check if a key in an array exists Jonatan Schlag
2024-05-20 9:06 ` [PATCH 11/21] tests: Add function to test the ouput of a bash function Jonatan Schlag
2024-05-20 9:06 ` [PATCH 12/21] initscript functions: add readhash Jonatan Schlag
2024-05-20 9:06 ` [PATCH 13/21] initscript fkt: ignore blank lines in readhash Jonatan Schlag
2024-05-20 9:06 ` Jonatan Schlag [this message]
2024-05-20 9:06 ` [PATCH 15/21] tests: Add functions test_that_array_doesnt_have_key Jonatan Schlag
2024-05-20 9:06 ` [PATCH 16/21] initscripts fkt: Ignore comments in readhash Jonatan Schlag
2024-05-20 9:06 ` [PATCH 17/21] initscripts fkt: ignore invalid keys " Jonatan Schlag
2024-05-20 9:06 ` [PATCH 18/21] initscripts fkt: readhash should only parse lines with a = Jonatan Schlag
2024-05-20 9:06 ` [PATCH 19/21] initscripts fkt: Check for invalid values in readhash Jonatan Schlag
2024-05-20 9:06 ` [PATCH 20/21] initscripts fkt: keep readhash compatible with older implementation Jonatan Schlag
2024-05-20 9:06 ` [PATCH 21/21] initscripts fkt: Fix shebang Jonatan Schlag
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20240520090611.10406-15-jonatan.schlag@ipfire.org \
--to=jonatan.schlag@ipfire.org \
--cc=development@lists.ipfire.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox